# Decola

## 🛠 Getting Started

To run this project you need to install the prerequisites:

##### Install node directly
[NodeJS](https://nodejs.org/) `v20.11.0`

##### Install node with NVM

```bash
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.7/install.sh | bash
nvm install 20.11
```

##### Install yarn

```bash
npm install -g yarn
```

##### Install VSCode extensions

[ESLint](vscode:extension/dbaeumer.vscode-eslint)
[Prettier](vscode:extension/esbenp.prettier-vscode)
[PrettierESLint](vscode:extension/rvest.vs-code-prettier-eslint)
[EditorConfig](vscode:extension/EditorConfig.EditorConfig)

## ⚙️ Installation

##### Clone the repository

```bash
git clone https://tools.ages.pucrs.br/plataforma-onboarding-para-novos-colaboradores/decola-frontend.git
cd decola-frontend
```

##### Install dependencies

```bash
yarn
```

##### Create a file called `.env` in the root directory

```bash
touch .env
```

##### Set up environment variables as shown below

```
TBD
```


## 🚀 Run

After installing process you just need to run in develop mode

```bash
yarn start
```


# ☕
