import React, { ReactNode } from 'react'
import './index.scss'

export interface ButtonProps {
	children?: ReactNode
	onClick?: VoidFunction
	variant?: 'filled' | 'outlined' | 'text'
	color?: 'primary' | 'secondary' | 'terciary' | 'black' | 'transparent' | 'blurred' | 'gray'
	disabled?: boolean
	size?: 'small' | 'big'
}

export const Button: React.FC<ButtonProps> = ({
	children,
	onClick,
	variant = 'filled',
	color = 'primary',
	disabled = false,
	size = 'small'
}) => {
	return (
		<button
			className={`button-container ${variant} ${color} ${size}`}
			onClick={onClick}
			disabled={disabled}
		>
			{children}
		</button>
	)
}
