import React from 'react'
import './index.scss'

export interface SlideProps {
	title: string
	text: string
	image: string
	variant?: 'gradient-primary' | 'gradient-secondary' | 'gradient-terciary'
}

const Slide: React.FC<SlideProps> = ({ title, text, image, variant }) => {
	return (
		<div className={`slide ${variant}`}>
			<div className='text-column'>
				<h2 className='title'>{title}</h2>
				<p className='text-content'>{text}</p>
			</div>
			<div className='image-column'>
				<img src={image} alt='Slides Image' />
			</div>
		</div>
	)
}

export default Slide
