import React, { ReactNode } from 'react'
import { useModal } from '../../providers/Modal/ModalProvider'
import './index.scss'
import IconButton from '../IconButton'

export interface DefaultModalProps {
	title?: string
	subtitle?: string
	content?: ReactNode
	footer?: ReactNode
	removegap?: boolean
}

const DefaultModal: React.FC<DefaultModalProps> = ({
	title,
	subtitle,
	content,
	footer,
	removegap
}) => {
	const { setVisibility } = useModal()
	return (
		<div className={`default-modal-container ${removegap ? 'remove-gap' : ''}`}>
			<div className='default-modal-header'>
				<p className='default-modal-header-title'>{title}</p>
				<p className='default-modal-header-subtitle'>{subtitle}</p>
				<div className='close-button'>
					<IconButton helperLabel='Fechar' onClick={() => setVisibility?.(false)}>
						<p className='close-button-text'>&#x2716;</p>
					</IconButton>
				</div>
			</div>
			<div className='default-modal-content-container'>{content}</div>
			<div className='default-modal-footer-container'>{footer}</div>
		</div>
	)
}

export default DefaultModal
