import './index.scss'
import DefaultModal from '../DefaultModal'
import { Button } from '../Button'
import { ReactComponent as Confetti } from '../../assets/icons/confetti-svgrepo-com.svg'

export interface EndModuleProps {
	onClickNext: () => void
}

const EndModule: React.FC<EndModuleProps> = ({ onClickNext }) => {
	return (
		<DefaultModal
			title='Módulo finalizado!'
			content={
				<div className='end-module-middle '>
					<p className='end-module-title'>Parabens!</p>
					<p className='end-module-subtitle'>
						Módulo Finalizado! Clique em Avançar para voltar aos módulos
					</p>
					<Confetti />
				</div>
			}
			footer={
				<>
					<Button
						variant='filled'
						color='primary'
						onClick={() => {
							onClickNext()
						}}
					>
						<div className='modal-button-text'>Avançar</div>
					</Button>
				</>
			}
		/>
	)
}

export default EndModule
