import React from 'react'
import './index.scss'

export interface ParagraphInterface {
	style?: React.CSSProperties
	text: string
}

export interface ModalHeaderProps {
	title: ParagraphInterface
	description?: ParagraphInterface
	showDivider: boolean
	dividerStyle?: React.CSSProperties
}

export const ModalHeader: React.FC<ModalHeaderProps> = ({
	title,
	description,
	showDivider,
	dividerStyle
}) => {
	return (
		<div className='modal-header-container'>
			<p className='modal-header-title' style={title.style}>
				{title.text}
			</p>
			{description && (
				<p className='modal-header-description' style={description.style}>
					{description.text}
				</p>
			)}
			{showDivider && <hr style={dividerStyle}></hr>}
		</div>
	)
}
