import Ball from './Ball'
import './index.scss'
import React from 'react'
import { ReactComponent as Checkmark } from '../../assets/icons/checkmark.svg'

export interface ProgressProps {
	quantity: object[]
	progress: number
}

const ProgressTracker: React.FC<ProgressProps> = ({ quantity, progress }) => {
	return (
		<div className='progress-tracker-container'>
			<div className='progress-tracker-balls'>
				{quantity.map((e, index) => (
					<React.Fragment key={index}>
						{index < progress && (
							<Ball variant='completed' icon={<Checkmark className='progress-tracker-check' />} />
						)}

						{index === progress && <Ball variant='current' />}

						{index > progress && <Ball variant='disabled' />}

						{index !== quantity.length - 1 && index >= progress && (
							<div className='progress-tracker-bar-grey'>
								<span />
							</div>
						)}

						{index !== quantity.length - 1 && index < progress && (
							<div className='progress-tracker-bar-primary'>
								<span />
							</div>
						)}
					</React.Fragment>
				))}
			</div>
		</div>
	)
}

export default ProgressTracker
