import React, { ReactNode } from 'react'
import './index.scss'

export interface TableProps {
	headerItems: string[]
	bodyItems: (string | number | ReactNode)[][]
}

const Table: React.FC<TableProps> = ({ headerItems, bodyItems }) => {
	return (
		<div className='table-admin-container'>
			<table>
				<thead>
					<tr>
						{headerItems.map((item, index) => (
							<th key={index}>{item}</th>
						))}
					</tr>
				</thead>
				<tbody>
					{bodyItems.map((row, rowIndex) => (
						<tr key={rowIndex}>
							{row.map((cell, cellIndex) => (
								<td key={cellIndex}>{cell}</td>
							))}
						</tr>
					))}
				</tbody>
			</table>
		</div>
	)
}

export default Table
