export enum ActivityStatus {
	DONE = 'DONE',
	DOING = 'DOING',
	TODO = 'TODO'
}

export enum ActivityType {
	MEDIA = 'MEDIA',
	QUESTION = 'QUIZ'
}

export enum QuestionType {
	SINGLE_CHOISE = 'SINGLE_CHOISE',
	MULTIPLE_CHOISE = 'MULTIPLE_CHOISE',
	EXTERNAL_CONTENT = 'EXTERNAL_CONTENT'
}

export interface CourseFeedbackDto {
	courseId?: number
	score?: number
}

export interface ActivityUpdateListDtoRequestPayload {
	activityList: ActivityListDto[]
}

export interface ActivitiesData {
	order: number
	activityId: number
}

export interface ActivitiesToAdd {
	activities: ActivitiesData[]
}

export enum ContentType {
	IMAGE = 'IMAGE',
	PDF = 'PDF',
	VIDEO = 'VIDEO'
}

export interface FileToSave {
	file: File
	contentType: ContentType
}

export interface ActivityDto {
	id: number
	idActivitySelected?: number
	type: ActivityType
	name: string
	quiz?: Quiz[]
	order?: number
	status?: ActivityStatus
	isDone?: boolean
	contents?: ContentMedia[]
}

export interface ActivityResponseDto {
	order?: number
	moduleId?: number
	id: number
	activityId: number
	isDone?: boolean
	activity: ActivityDto
}

export interface ActivityCreateDto {
	type: ActivityType
	name: string
	questions?: QuestionDto[]
	files?: File[]
	contentType?: ContentType
}

export interface ActivityListDto {
	id: number
	name: string
	status?: ActivityStatus
}

export interface ContentMedia {
	id: number
	url: string
	type: ContentType
}

export interface Quiz {
	id: number
	questions?: QuestionDto[]
}

export interface QuestionDto {
	id?: number
	text: string
	type?: QuestionType
	alternatives: AlternativeDto[]
}

export interface AlternativeDto {
	id?: number
	text: string
	isCorrect: boolean
}
