import { AreaDto } from './AreaDto'

export enum UserRole {
	ADMIN = 'ADMIN',
	COLLABORATOR = 'COLLABORATOR'
}

export interface UserProfileDto {
	userId: number
	accountId: number
	role: UserRole
	accountType: string
	friendlyName: string
	areaId: string
}

export interface UpdateProgressUser {
	isDone: boolean
}

export interface UpdateProgressUserResponse {
	isDone: boolean
	requirePrevious: boolean
	order: number
}

export interface UserDto {
	id: number
	status: number
	friendlyName: string
	email: string
	areaId: number
	role: UserRole
	area: AreaDto
}

export interface UserCreateDto {
	email: string
	friendlyName: string
	areaId: number
	role: string
}

export interface UserUpdateDto {
	id: number
	friendlyName: string
	email: string
	area: AreaDto
	role: string
}

export interface ResponseBatchUsers {
	createdQtd: number
	failedUsers: UserFailedCreateDto[]
}

export interface UserFailedCreateDto {
	email: string
	reason: string
}
