import React from 'react'
import ReactDOM from 'react-dom/client'
import './sass/index.scss'
import reportWebVitals from './reportWebVitals'
import Router from './router'
import { BlurProvider } from './providers/Blur/BlurProvider'
import { ModalProvider } from './providers/Modal/ModalProvider'
import { AuthProvider } from './providers/Auth/AuthProvider'
import { QueryClientProvider } from '@tanstack/react-query'
import { queryClient } from './services/query-client'

const root = ReactDOM.createRoot(document.getElementById('root') as HTMLElement)
root.render(
	<React.StrictMode>
		<QueryClientProvider client={queryClient}>
			<AuthProvider>
				<BlurProvider>
					<ModalProvider>
						<Router />
					</ModalProvider>
				</BlurProvider>
			</AuthProvider>
		</QueryClientProvider>
	</React.StrictMode>
)

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals()
