import './index.scss'
import React from 'react'

export interface EditableTextProps {
	id?: string
	className?: string
	onInput?: (event: React.ChangeEvent<HTMLInputElement>) => void
	readonly?: boolean
	text?: string
}

const EditableText: React.FC<EditableTextProps> = ({ id, className, onInput, readonly, text }) => {
	return (
		<p
			className={`editable-text ${className}`}
			id={id}
			contentEditable={readonly ? 'false' : 'true'}
			onInput={onInput}
			suppressContentEditableWarning={true}
		>
			{text}
		</p>
	)
}

export default EditableText
