import React, { useEffect } from 'react'
import './index.scss'
import useAnimateNumber from 'use-animate-number'

export interface ProgressBarProps {
	percentage?: number
}

const ProgressBar: React.FC<ProgressBarProps> = ({ percentage }) => {
	const options = { decimals: 0 }
	const [smoothPercentage, setSmoothPercentage] = useAnimateNumber(percentage || 0, options)

	useEffect(() => {
		if (percentage !== undefined) setSmoothPercentage(percentage, false)
	}, [percentage])

	return (
		<div className='progress-bar-container'>
			<div className='progress-bar' style={{ width: `${percentage}%` }}></div>
			<div className='progress-display'>{smoothPercentage} %</div>
		</div>
	)
}

export default ProgressBar
