import React from 'react'
import { Button } from '../../../../../components/Button'

import './index.scss'

export interface CardHomeProps {
	onClick?: VoidFunction
	onButtonClick?: VoidFunction
	color: 'primary' | 'secondary' | 'terciary'
	buttonColor: 'primary' | 'secondary'
	title: string
	subTitle: string
	icon: string
	size: 'small' | 'big'
}

export const CardHome: React.FC<CardHomeProps> = ({
	onButtonClick,
	onClick,
	color,
	buttonColor,
	title,
	subTitle,
	icon,
	size
}) => {
	return (
		<div className={`card-home-container ${color}`} onClick={onClick}>
			<div className='card-home-content'>
				<div className='card-home-image-wrapper'>
					<img className='card-home-image' src={icon} />
				</div>
				<div className='card-home-upper'>
					<div className='card-home-top'>
						<h1 className='card-home-title'>{title}</h1>
					</div>
					<p className='card-home-subTitle'>{subTitle}</p>
				</div>

				<div className='card-home-button'>
					<Button
						variant='filled'
						color={buttonColor}
						size={size}
						onClick={onButtonClick !== undefined ? onButtonClick : () => {}}
					>
						<p className='card-home-button-text'>Iniciar</p>
					</Button>
				</div>
			</div>
		</div>
	)
}
