import { useQuery } from '@tanstack/react-query'
import QUERY_KEYS from '../../../utils/contants/queries'
import { activityApi } from '.'
import { ListWrapperDto } from '../../../dtos/PaginatedDto'
import { ActivityDto } from '../../../dtos/ActivityDto'

export const useGetAllActivities = (moduleId?: number) =>
	useQuery({
		queryKey: [QUERY_KEYS.activity],
		queryFn: async () =>
			(await activityApi.get<ListWrapperDto<ActivityDto>>('/', { params: { moduleId } })).data.data
	})

export const useGetActivitiyById = (activityId?: number) =>
	useQuery({
		queryKey: [QUERY_KEYS.activityById + activityId],
		queryFn: async () => (await activityApi.get<ActivityDto>(`/${activityId}`)).data,
		enabled: !!activityId
	})
