import { useQuery } from '@tanstack/react-query'
import QUERY_KEYS from '../../../utils/contants/queries'
import { areasApi } from '.'
import { AreaDto } from '../../../dtos/AreaDto'
import { ListWrapperDto } from '../../../dtos/PaginatedDto'
import { CourseDto } from '../../../dtos/CourseDto'

export const useGetAllAreaCourses = (areaId?: number) =>
	useQuery({
		enabled: !!areaId,
		queryKey: [QUERY_KEYS.area, QUERY_KEYS.course, areaId],
		queryFn: async () =>
			(await areasApi.get<ListWrapperDto<CourseDto>>(`/${areaId}/courses`)).data.data
	})

export const useGetAllAreas = () =>
	useQuery({
		queryKey: [QUERY_KEYS.area],
		queryFn: async () => (await areasApi.get<ListWrapperDto<AreaDto>>('')).data.data
	})
