import { reportApi } from '.'

export const useDownloadReport = async () => {
	const response = await reportApi.get<Blob>('/', { responseType: 'blob' })

	const url = window.URL.createObjectURL(new Blob([response.data], { type: 'application/pdf' }))

	const link = document.createElement('a')
	link.href = url
	link.setAttribute('download', 'report.pdf')
	document.body.appendChild(link)
	link.click()

	link.parentNode?.removeChild(link)
}
