import { useQuery } from '@tanstack/react-query'
import QUERY_KEYS from '../../../utils/contants/queries'
import { userApi } from '.'
import { UserDto, UserRole } from '../../../dtos/UserDto'
import { ListWrapperDto } from '../../../dtos/PaginatedDto'
import { ActivityDto } from '../../../dtos/ActivityDto'

export const useGetAllUsers = (role?: UserRole) =>
	useQuery({
		enabled: !!role,
		queryKey: [QUERY_KEYS.user, role],
		queryFn: async () => (await userApi.get<ListWrapperDto<UserDto>>(`?role=${role}`)).data.data
	})

export const useGetAllUsersActivities = (moduleId?: number, courseId?: number) =>
	useQuery({
		enabled: !!moduleId && !!courseId,
		queryKey: [QUERY_KEYS.user, QUERY_KEYS.activity],
		queryFn: async () =>
			(await userApi.get<ListWrapperDto<ActivityDto>>(`/courses/modules/${moduleId}/activities`))
				.data.data
	})
